AUTOMAKE_OPTIONS = foreign
-SUBDIRS = src include zoom lib doc
+SUBDIRS = src include zoom lib etc doc
EXTRA_DIST= LICENSE README.txt TODO ChangeLog yaz++-config.in
doc/yaz++.xml
doc/yazprint.dsl doc/yazphp.dsl doc/yazhtml.dsl
doc/tkl.xsl
+ etc/Makefile
],[sed s%yaz_echo_source=yes%yaz_echo_source=no%g < yaz++-config >src/yaz++-config && chmod +x yaz++-config src/yaz++-config])
--- /dev/null
+
+EXTRA_DIST = config.xml yaz-proxy.sh
+
+noinst_SCRIPTS = yaz-proxy.sh
--- /dev/null
+<?xml version="1.0"?>
+<!-- $Id: config.xml,v 1.1 2003-10-23 14:19:16 adam Exp $ -->
+<proxy>
+ <target default="1" name="voyager">
+ <!-- default target -->
+ <url>bagel.indexdata.dk</url>
+ <target-timeout>240</target-timeout>
+ <client-timeout>180</client-timeout>
+ <keepalive>
+ <bandwidth>1000000</bandwidth>
+ <pdu>1000</pdu>
+ </keepalive>
+ <limit><!-- per minute limits .. -->
+ <bandwidth>2000000</bandwidth>
+ <pdu>50</pdu>
+ <retrieve>100</retrieve>
+ </limit>
+ <attribute type="1" value="1-11,13-1010"/>
+ <attribute type="1" value="*" error="114"/>
+ <syntax type="opac"/>
+ <syntax type="usmarc"/>
+ <syntax type="none"/>
+ <syntax type="xml" marcxml="1"/>
+ <syntax type="*" error="238"/>
+ <preinit>0</preinit>
+ </target>
+ <target name="localhost">
+ <url>localhost:9999</url>
+ <url>localhost:9998</url>
+ <target-timeout>300</target-timeout>
+ <client-timeout>180</client-timeout>
+ <keepalive/> <!-- keepalive enabled -->
+ <limit><!-- limits .. -->
+ <bandwidth>50000</bandwidth>
+ <pdu>60</pdu>
+ <retrieve>10</retrieve>
+ </limit>
+ <attribute type="1" value="1-1023"/>
+ <attribute type="1" value="*" error="114"/>
+ <syntax type="usmarc"/>
+ <syntax type="grs1"/>
+ <syntax type="xml" marcxml="1"/>
+ <syntax type="none"/>
+ <syntax type="*" error="238"/>
+ <preinit>2</preinit>
+ </target>
+ <target name="*">
+ <!-- everything else -->
+ </target>
+ <max-clients>50</max-clients>
+ <log>client-apdu server-apdu</log>
+</proxy>
--- /dev/null
+#!/bin/sh
+#
+# skeleton example file to build /etc/init.d/ scripts.
+# This file should be used to construct scripts for /etc/init.d.
+#
+# Written by Miquel van Smoorenburg <miquels@cistron.nl>.
+# Modified for Debian GNU/Linux
+# by Ian Murdock <imurdock@gnu.ai.mit.edu>.
+#
+# Version: @(#)skeleton 1.8 03-Mar-1998 miquels@cistron.nl
+#
+PATH=/usr/local/bin:/bin:/usr/bin
+export PATH
+
+# Proxy CWD is here. Should be writable by it.
+DIR=/var/yaz-proxy
+# Proxy Path
+DAEMON="/usr/local/bin/yaz-proxy"
+
+# Proxy PIDFILE. Must be writable by it.
+PIDFILE="/var/run/yaz-proxy.pid"
+
+# Log file
+LOGFILE=/var/log/yaz-proxy.log
+
+# Port
+PORT=9000
+
+# Run as this user. Set to empty to keep uid as is
+RUNAS=nobody
+
+# Extra args . Config file _WITH_ option
+ARGS="-c config.xml"
+
+if test -n "RUNAS"; then
+ ARGS="-u $RUNAS $ARGS"
+fi
+
+# Name, Description (not essential)
+NAME=yaz-proxy
+DESC="YAZ proxy"
+
+test -d $DIR || exit 0
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ printf "%s" "Starting $DESC: "
+ cd $DIR
+ $DAEMON -l $LOGFILE -p $PIDFILE $ARGS @:$PORT &
+ echo "$NAME."
+ ;;
+ stop)
+ printf "%s" "Stopping $DESC: "
+
+ if test -f $PIDFILE; then
+ kill `cat $PIDFILE`
+ rm -f $PIDFILE
+ echo "$NAME."
+ else
+ echo "No PID $PIDFILE"
+ fi
+ ;;
+ reload)
+ if test -f $PIDFILE; then
+ kill -HUP `cat $PIDFILE`
+ fi
+ ;;
+ restart|force-reload)
+ printf "%s" "Restarting $DESC: "
+ if test -f $PIDFILE; then
+ kill `cat $PIDFILE`
+ rm -f $PIDFILE
+ fi
+ sleep 1
+ cd $DIR
+ $DAEMON -l $LOGFILE -p $PIDFILE $ARGS @:$PORT &
+ echo "$NAME."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
-## $Id: Makefile.am,v 1.18 2003-10-23 12:14:48 adam Exp $
+## $Id: Makefile.am,v 1.19 2003-10-23 14:19:16 adam Exp $
AM_CXXFLAGS = $(YAZINC) -I$(srcdir)/../include $(XML2_CFLAGS)
bin_PROGRAMS = yaz-proxy
noinst_PROGRAMS = yaz-my-server yaz-my-client
bin_SCRIPTS = yaz++-config
-EXTRA_DIST = config.xml yaz-proxy.sh
yaz_my_client_SOURCES=yaz-my-client.cpp
+++ /dev/null
-<?xml version="1.0"?>
-<!-- $Id: config.xml,v 1.15 2003-10-23 11:57:23 adam Exp $ -->
-<proxy>
- <target default="1" name="voyager">
- <!-- default target -->
- <url>bagel.indexdata.dk</url>
- <target-timeout>240</target-timeout>
- <client-timeout>180</client-timeout>
- <keepalive>
- <bandwidth>1000000</bandwidth>
- <pdu>1000</pdu>
- </keepalive>
- <limit><!-- per minute limits .. -->
- <bandwidth>2000000</bandwidth>
- <pdu>50</pdu>
- <retrieve>100</retrieve>
- </limit>
- <attribute type="1" value="1-11,13-1010"/>
- <attribute type="1" value="*" error="114"/>
- <syntax type="opac"/>
- <syntax type="usmarc"/>
- <syntax type="none"/>
- <syntax type="xml" marcxml="1"/>
- <syntax type="*" error="238"/>
- <preinit>0</preinit>
- </target>
- <target name="localhost">
- <url>localhost:9999</url>
- <url>localhost:9998</url>
- <target-timeout>300</target-timeout>
- <client-timeout>180</client-timeout>
- <keepalive/> <!-- keepalive enabled -->
- <limit><!-- limits .. -->
- <bandwidth>50000</bandwidth>
- <pdu>60</pdu>
- <retrieve>10</retrieve>
- </limit>
- <attribute type="1" value="1-1023"/>
- <attribute type="1" value="*" error="114"/>
- <syntax type="usmarc"/>
- <syntax type="grs1"/>
- <syntax type="xml" marcxml="1"/>
- <syntax type="none"/>
- <syntax type="*" error="238"/>
- <preinit>2</preinit>
- </target>
- <target name="*">
- <!-- everything else -->
- </target>
- <max-clients>50</max-clients>
- <log>client-apdu server-apdu</log>
-</proxy>
+++ /dev/null
-#!/bin/sh
-#
-# skeleton example file to build /etc/init.d/ scripts.
-# This file should be used to construct scripts for /etc/init.d.
-#
-# Written by Miquel van Smoorenburg <miquels@cistron.nl>.
-# Modified for Debian GNU/Linux
-# by Ian Murdock <imurdock@gnu.ai.mit.edu>.
-#
-# Version: @(#)skeleton 1.8 03-Mar-1998 miquels@cistron.nl
-#
-PATH=/usr/local/bin:/bin:/usr/bin
-export PATH
-
-# Proxy CWD is here. Should be writable by it.
-DIR=/var/yaz-proxy
-# Proxy Path
-DAEMON="/usr/local/bin/yaz-proxy"
-
-# Proxy PIDFILE. Must be writable by it.
-PIDFILE="/var/run/yaz-proxy.pid"
-
-# Log file
-LOGFILE=/var/log/yaz-proxy.log
-
-# Port
-PORT=9000
-
-# Run as this user. Set to empty to keep uid as is
-RUNAS=nobody
-
-# Extra args . Config file _WITH_ option
-ARGS="-c config.xml"
-
-if test -n "RUNAS"; then
- ARGS="-u $RUNAS $ARGS"
-fi
-
-# Name, Description (not essential)
-NAME=yaz-proxy
-DESC="YAZ proxy"
-
-test -d $DIR || exit 0
-test -f $DAEMON || exit 0
-
-set -e
-
-case "$1" in
- start)
- printf "%s" "Starting $DESC: "
- cd $DIR
- $DAEMON -l $LOGFILE -p $PIDFILE $ARGS @:$PORT &
- echo "$NAME."
- ;;
- stop)
- printf "%s" "Stopping $DESC: "
-
- if test -f $PIDFILE; then
- kill `cat $PIDFILE`
- rm -f $PIDFILE
- echo "$NAME."
- else
- echo "No PID $PIDFILE"
- fi
- ;;
- reload)
- if test -f $PIDFILE; then
- kill -HUP `cat $PIDFILE`
- fi
- ;;
- restart|force-reload)
- printf "%s" "Restarting $DESC: "
- if test -f $PIDFILE; then
- kill `cat $PIDFILE`
- rm -f $PIDFILE
- fi
- sleep 1
- cd $DIR
- $DAEMON -l $LOGFILE -p $PIDFILE $ARGS @:$PORT &
- echo "$NAME."
- ;;
- *)
- N=/etc/init.d/$NAME
- # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
- echo "Usage: $N {start|stop|restart|force-reload}" >&2
- exit 1
- ;;
-esac
-
-exit 0